Subject: Re: Binary patch tool?
From: John Williams <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 04 Apr 2003 09:58:20 +1000

Igor Pechtchanski wrote:
> On Fri, 4 Apr 2003, John Williams wrote:
> 
> 
>>Hi folks,
>>
>>Is there a binary equivalent to the diff/patch combination?  I've
>>written a little shell script to run "cmp -b" over a bunch of files (I'm
>>trying to generate binary patches), but now I'm struggling with a way to
>>actually apply those changes.
>>
>>I started writing a little tcl script to do it but think there must be a
>>better way?
>>
>>Thanks,
>>John
> 
> 
> Umm, "vim -b"?  vim *can* be used as a stream editor...
> 	Igor

Ah yes excellent!  Even better, now I don't need to create a patch file. 
  In a single line I can hack Xilinx's Xygwin tools over to Cygwin.

I'm doing the following

for f in $( find edk -name '*.exe' -o -name '*.dll' ) do
   vim -b -s xyg2cyg.sed $f
done

where xyg2cyg.sed contains
:%s/xygwin1.dll/cygwin1.dll/g
:wq

Is there a way I can pass these on the command line, without needing a 
seperate little script file like this?

Thanks,

John

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/